# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum SubscriptionEntry.Type

    java.lang.Object
      java.lang.Enum<SubscriptionEntry.Type>
          com.google.gdata.data.youtube.SubscriptionEntry.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SubscriptionEntry.Type>

Enclosing class:
  SubscriptionEntry

    public static enum SubscriptionEntry.Type

extends java.lang.Enum<SubscriptionEntry.Type>

Subscription types. More types will appear over time.

Enum Constant Summary
`CHANNEL`
`FAVORITES`
`PLAYLIST`
`QUERY`
`USER`

Method Summary
`static SubscriptionEntry.Type` `fromTerm(java.lang.String term)` Given a term of a category with scheme `YouTubeNamespace.KIND_SUBSCRIPTION`, look for the corresponding `Type` enum value.
`java.lang.String` `getTerm()` Gets the category term corresponding to this subscription type.
`static SubscriptionEntry.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SubscriptionEntry.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHANNEL

    public static final SubscriptionEntry.Type CHANNEL

### FAVORITES

    public static final SubscriptionEntry.Type FAVORITES

### QUERY

    public static final SubscriptionEntry.Type QUERY

### PLAYLIST

    public static final SubscriptionEntry.Type PLAYLIST

### USER

    public static final SubscriptionEntry.Type USER

Method Detail

### values

    public static SubscriptionEntry.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SubscriptionEntry.Type c : SubscriptionEntry.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SubscriptionEntry.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTerm

    public java.lang.String getTerm()

  Gets the category term corresponding to this subscription type.

  Returns:
    category term

### fromTerm

    public static SubscriptionEntry.Type fromTerm(java.lang.String term)

  Given a term of a category with scheme `YouTubeNamespace.KIND_SUBSCRIPTION`, look for the corresponding `Type` enum value.

  Returns:
    corresponding enum value or null if none exists